<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	 xmlns:p="http://primefaces.org/ui"
	
	xmlns:c="http://java.sun.com/jsp/jstl/core"
	xmlns:b="http://bootsfaces.net/ui">
		<html>
	  <h:head>  
<link type="text/css" href="assets/libs/bootstrap/css/bootstrap.css" rel="stylesheet"/>
    </h:head>
	<body>
		<div id="Menu">
		<ui:include src="/HomeHRManager.xhtml" />
		<div class="row">
		 <div class="col-lg-3"></div>
		
		 <div class="col-md-offset-3">
		 <center><h1><STRONG>Supplemenatry Hour</STRONG></h1></center>
		  <h:form>
		
              <ui:fragment   >
    <div class="col-md-offset-1">

                 <div class="widget col-lg-8">
							<div class="widget-header transparent">
								<h2><strong>Add  Supplementary</strong> Form</h2>
								<div class="additional-btn">
									<a href="#" class="hidden reload"><i class="icon-ccw-1"></i></a>
									<a href="#" class="widget-toggle"><i class="icon-down-open-2"></i></a>
									<a href="#" class="widget-close"><i class="icon-cancel-3"></i></a>
								</div>
							</div>
							<div class=" col-md-offset-1 widget-content padding">

        				<div class="row">
		         		<div class="col-lg-8">
				<table class="table table-hover  table-responsive ">
				<tr><td><h:outputText value="Employee" /> </td><td>
				 <p:outputLabel for="Employee" />
        <p:selectOneMenu id="Employee" value="#{supplementaryHoursBean.name}">
            <f:selectItem itemLabel="Select One" itemValue="" />
            <f:selectItems value="#{supplementaryHoursBean.employees}" />
        </p:selectOneMenu>
 
				</td></tr>
			<tr><td>Date : </td><td><p:calendar  value="#{supplementaryHoursBean.dateHeureSupp}" mindate="#{leavesBean.currentDate}"  >
                 </p:calendar></td></tr>
				<tr><td>Type : </td><td>
		
            <h:selectOneMenu  onchange="#{supplementaryHoursBean.testDisplay()}" value="#{supplementaryHoursBean.type}">
														<f:selectItem itemLabel="please select" />
   														<f:selectItem itemValue="SIMPLE" itemLabel="SIMPLE" />
   														<f:selectItem itemValue="DOUBLE" itemLabel="DOUBLE" />
   												 </h:selectOneMenu>
          
				
				
				</td></tr>
				<tr><td> Duration :</td>
				<td>
				<h:inputText value="#{supplementaryHoursBean.additionalHour.duration}" id="validateNumber" 
										  	required="true"
										  	requiredMessage="Number!" 
										  	validatorMessage="Number " >
											
											</h:inputText>
											<h:message
									  		 for="validateNumber"
									  		 class="col-sm-7 label label-danger" />
				</td>
				</tr>
				
				</table>
				<h:commandButton  styleClass="btn btn-info" action="#{supplementaryHoursBean.AddSuppHours()}"
					onclick="/SupplementaryHouHR?faces-redirect=true"	value="Save">
						
					</h:commandButton>
					
					<h:outputText value="&#160;" /><h:outputText value="&#160;" /><h:outputText value="&#160;" /><h:outputText value="&#160;" />
					<h:commandButton  styleClass="btn btn-danger"  action="SupplementaryHourHR"
						value="Retour">
						
					</h:commandButton>
				</div>
				</div>
				
				</div> </div>
				</div>
		</ui:fragment>
		</h:form>
				  
		
			</div></div>
</div>


</body>
	
</html>
</ui:composition>


